STRINGS(3)

NAME
strings - string operations

LIBRARY
libc

SYNOPSIS
#include <strings.h>
int
bcmp(const void *b1, const void *b2, size_t len);
void
bcopy(const void *src, void *dst, size_t len);
void
bzero(void *b, size_t len);
int
ffs(int value);
char *
index(const char *s, int c);
char *
rindex(const char *s, int c);
int
strcasecmp(const char *s1, const char *s2);
int
strncasecmp(const char *s1, const char *s2, size_t len);

DESCRIPTION
These functions all live in the <strings.h> header file. Except for ffs(), they operate on strings. index(), rindex(), and strcasecmp() need nul-terminated strings.

See the specific manual pages for more information.

See string(3) for string functions that follow ansiC or isoC-99, bstring(3) for functions that operate on strings that are not nul-terminated, and bitstring(3) for bit-string manipulation macros.

SEE ALSO
bcmp(3), bcopy(3), bitstring(3), bstring(3), bzero(3), ffs(3), index(3), rindex(3), strcasecmp(3), string(3)